search cancel

System Requirements for Symantec Endpoint Encryption Management Server 11.2.x

book

Article ID: 150848

calendar_today

Updated On:

Products

Endpoint Encryption

Issue/Introduction

 

Resolution

This article details the system requirements for the version 11.2.x of the Symantec Endpoint Encryption Management Server.

The article will be updated as additional platforms or other system requirements are tested and added.

For the update history of this article, see the table at the end of the article.

Notes:

  • Versions of Symantec Endpoint Encryption Management Server 11.1.x earlier than 11.1.3 should not be used.
  • The Microsoft Windows operating systems that are listed in this KB article are supported only with all of the latest hot fixes and security patches from Microsoft.
  • Symantec Endpoint Encryption requires one or more Active Directory domains to host the Symantec Endpoint Encryption Management Server. You can also synchronize Symantec Endpoint Encryption with Active Directory.

Supported operating systems

You can install Symantec Endpoint Encryption Management Server on the following operating systems:
Note: Only English operating systems have been tested and are currently supported.

  • Microsoft Windows Server 2016 Datacenter, with updates
  • Microsoft Windows Server 2016 Standard, with updates
  • Microsoft Windows Server 2012 R2 Datacenter, with updates
  • Microsoft Windows Server 2012 R2 Standard, with updates
  • Microsoft Windows Server 2008 R2 Enterprise SP1 (Deprecated in SEE 11.2.1 MP1)
  • Microsoft Windows Server 2008 R2 Standard SP1 (Deprecated in SEE 11.2.1 MP1)

.NET Framework Requirements

You must make sure that .NET is enabled before you can install the components.

Depending on the version of Microsoft Windows Server that you use, Symantec Endpoint Encryption Management Server requires the following versions of .NET Framework:

Operating system Required version of .NET Framework
Microsoft Windows Server 2008 R2 4.5.2 (Deprecated in SEE 11.2.1 MP1)
Microsoft Windows Server 2012 R2 4.5.2
Microsoft Windows Server 2016

4.6.2 (For Symantec Endpoint Encryption 11.1.3 and later)

Note: The table lists the minimum supported versions of .NET Framework. The current highest supported version is 4.7.1.

Supported virtual computers

You can install Symantec Endpoint Encryption Management Server on the following virtualized computers:

  • VMware ESXi 5.5
  • VMware ESXi 5.1
  • VMware ESXi 6.5

Prerequisite Server Roles, Features, and Tools

Please refer to HOWTO101921 for a full list that must be installed before install

Minimum Hardware Requirements

Processor 1.4 GHz Intel Pentium 4 or higher, or the equivalent.

Symantec recommends that you use a 2.0 GHz or faster processor.
RAM 1GB

Symantec recommends that you increase the amount memory as your database size grows.
Free disk space   80 GB

Supported cloud hosting services

You can install and host Symantec Endpoint Encryption Management Server using the following cloud hosting services:

  • Amazon Web Services
  • Microsoft Azure
    Note: Symantec Endpoint Encryption Management Server has not yet been tested for compatibility with Microsoft Azure SQL.

Symantec Endpoint Encryption database system requirements

Microsoft SQL Server

The Symantec Endpoint Encryption database can reside on a dedicated database server or on the Symantec Endpoint Encryption Management Server. Symantec recommends that you install your database on a dedicated database server. If you have located the instance on a dedicated database server, the database server does not need to belong to an Active Directory domain.

Symantec recommends that you store the data file and log files on separate physical disks. You should format the disk that stores the log files with the NTFS file system.

You can install the Symantec Endpoint Encryption database on either a physical computer or a VMware ESXi 5.1, VMware ESXi 5.5, or VMware ESXi 6.5 virtual machine.

Supported versions of Microsoft SQL Server

SQL Server Version On the Symantec Endpoint
Encryption Management
Server
On a dedicated computer
SQL Server 2016 Enterprise (64-bit) Yes Yes
SQL Server 2016 Standard (64-bit) Yes Yes
SQL Server 2014 Enterprise (64-bit) Yes Yes
SQL Server 2014 Standard (64-bit) Yes Yes
SQL Server 2014 Express with Advanced Services (64-bit) (deprecated in SEE 11.2.1 MP1) Yes No
SQL Server 2012 Enterprise, SP1 (64-bit) (deprecated in SEE 11.2.1 MP1) Yes Yes
SQL Server 2012 Standard, SP1 (64-bit) (deprecated in SEE 11.2.1 MP1) Yes Yes
SQL Server 2012 Express with Advanced Services, SP1 (64-bit) (deprecated in SEE 11.2.1 MP1) Yes No

Used and unused features of SQL Servers by Symantec Endpoint Encryption version 11.2.x:

SQL Features Status
Databases replication and mirroring features OFF by default
Change data capture feature OFF by default
Change tracking feature OFF by default
SQL Agent Disabled by default
Ad hoc distributed queries OFF by default
Common language runtime (CLR) integration OFF by default
Dedicated administrator connection (DAC) – Remote OFF by default
Database Mail Disabled by default
OLE Automation stored procedures OFF by default
Service Broker Disabled by default
SQL Mail OFF by default
xp_cmdshell OFF by default
Support of Partially Contained Database OFF by default
Support of Windows mount points This is not managed by SEE. If the SQL version supports this function, then it should work as is.
SQL Collations Requirement By default this is selected by installation and certified using default English-Language (US) as locale.
Database Engine Services In use by SEE
Integration Services SEE understands whatever is set to default.

Update history

Update Version Date

Deprecated support for the following Microsoft Windows Server 2008 R2 versions:

  • Microsoft Windows Server 2008 R2 Enterprise SP1
  • Microsoft Windows Server 2008 R2 Standard SP1
11.2.1 MP1 March 29, 2019

Deprecated support for the following SQL Server 2012 versions:

  • SQL Server 2012 Enterprise, SP1 (64-bit)
  • SQL Server 2012 Standard, SP1 (64-bit)
  • SQL Server 2012 Express with Advanced Services, SP1 (64-bit)
11.2.1 MP1 March 29, 2019
Deprecated support for the "SQL Server 2014 Express with Advanced Services (64-bit)" version. 11.2.1 MP1 March 29, 2019

Removed support for the following SQL Server 2008 versions

  • SQL Server 2008 Enterprise SP3 (64-bit)
  • SQL Server 2008 R2 Express with Advanced Services SP2 (64-bit)
  • SQL Server 2008 R2 Standard SP2 (64-bit)
  • SQL Server 2008 R2 Enterprise SP2 (64-bit)
11.2.1 February 15, 2019

Added the following table:

Used and unused features in SQL by Symantec Endpoint Encryption version 11.2.x

11.2.1 February 15, 2019